CRAN Package Check Results for Package MetaIntegrator

Last updated on 2024-04-22 00:53:24 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.1.3 0.91 2.41 3.32 ERROR
r-devel-linux-x86_64-debian-gcc 2.1.3 1.74 1.74 ERROR
r-devel-linux-x86_64-fedora-clang 2.1.3 257.54 NOTE
r-devel-linux-x86_64-fedora-gcc 2.1.3 245.95 NOTE
r-prerel-macos-arm64 2.1.3 70.00 OK
r-prerel-macos-x86_64 2.1.3 130.00 OK
r-prerel-windows-x86_64 2.1.3 16.00 152.00 168.00 OK
r-patched-linux-x86_64 2.1.3 10.60 163.51 174.11 OK
r-release-linux-x86_64 2.1.3 16.79 162.66 179.45 OK
r-release-macos-arm64 2.1.3 68.00 OK
r-release-macos-x86_64 2.1.3 116.00 OK
r-release-windows-x86_64 2.1.3 22.00 186.00 208.00 OK
r-oldrel-macos-arm64 2.1.3 64.00 NOTE
r-oldrel-windows-x86_64 2.1.3 22.00 188.00 210.00 OK

Additional issues

noSuggests

Check Details

Version: 2.1.3
Check: package dependencies
Result: ERROR Packages required but not available: 'GEOquery', 'GEOmetadb', 'AnnotationDbi' Package suggested but not available for checking: ‘snplist’ See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-clang

Version: 2.1.3
Check: package dependencies
Result: ERROR Packages required but not available: 'GEOquery', 'GEOmetadb' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc

Version: 2.1.3
Check: package dependencies
Result: NOTE Imports includes 35 non-default packages. Importing from so many packages makes the package vulnerable to any of them becoming unavailable. Move as many as possible to Suggests and use conditionally. Flavor: r-devel-linux-x86_64-fedora-clang

Version: 2.1.3
Check: dependencies in R code
Result: NOTE Namespaces in Imports field not imported from: ‘BiocManager’ ‘DT’ ‘GEOmetadb’ ‘RMySQL’ ‘RSQLite’ ‘gplots’ ‘pheatmap’ ‘readr’ All declared Imports should be used. Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-oldrel-macos-arm64